ode-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alex Boisvert" <boisv...@intalio.com>
Subject Re: Invoking Web Service
Date Mon, 06 Aug 2007 18:11:41 GMT
Axis2 1.3 does not work with Ode 1.0 due to incompatible class changes (some
methods were renamed and constants moved around).

Ode 1.0 was released with axis2 1.1.1 (unpatched).   You can patch it by
replacing axis2-kernel-1.1.1 with axis2-kernel-intalio-1.1.1b.

This being said, the getFirstSoapText() exception happens after a <fault> is
returned from your web service.   If the <invoke> is successful, you will
avoid this issue so I recommend you get your request message in correct form
first.

regards,
alex


On 8/6/07, Anup Chandran <anup.chandran@3ds.com> wrote:
>
>
> apache-ode-war-1.0-incubating.zip
> is the ODE version that I'm using.
>
> Sorry if I'm being naive here, how do i upgrade from axis2-1.1.1.jar(which
> i see in the above distribution of ODE) to Axis2 1.3
>
> Apparently Axis2 1.3 is distributed seperately as a WAR file (axis2.war).
>
> The kernal jar in the above distribution is axis2-kernel-1.1.1.jar
>
> Thanx
>
>
>
>
> Alex Boisvert wrote:
> >
> > The getFirstSOAPTest() exception was a bug in Axis2 1.1.x and is fixed
> in
> > Axis2 1.3.
> >
> > It should not happen with axis2-kernel-intalio-1.1.1b if the
> classloading
> > order is correct, meaning that axis2-kernel-intalio is loaded before
> > axis2.jar, or if axis2.jar is not present at all.
> >
> > alex
> >
> >
> > On 8/6/07, Rich Taylor <bhamtaylor@gmail.com> wrote:
> >>
> >> I have encountered this "getFirstSOAPText() not allowed for SOAP 1.1!"
> >> issue
> >> as well but haven't had a chance to write it up.  I was wondering if it
> >> was
> >> something I was doing.   Now I'm even more curious.
> >>
> >> - Rich
> >>
> >>
> >> ERROR - GeronimoLog.error(108) | Error sending message
> >> > (mex={PartnerRoleMex#hqej
> >> > bhcnphr2harmm4s6vd [PID
> >> > {http://ode/bpel/unit-test}HelloMatrixServiceProcess-42]
> >> > calling org.apache.ode.bpel.epr.WSAEndpoint@1bfe745.connect(...)}):
> >> > getFirstSOA
> >> > PText() not allowed for SOAP 1.1!
> >> > java.lang.UnsupportedOperationException: getFirstSOAPText() not
> allowed
> >> > for SOAP 1.1!
> >> >         at
> >> > org.apache.axiom.soap.impl.llom.soap11.SOAP11FaultReasonImpl.getFirst
> >> > SOAPText(SOAP11FaultReasonImpl.java:59)
> >> >         at org.apache.axis2.AxisFault.<init>(AxisFault.java:152)
> >
> >
>
> --
> View this message in context:
> http://www.nabble.com/Invoking-Web-Service-tf4221853.html#a12021278
> Sent from the Apache Ode User mailing list archive at Nabble.com.
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message